Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.sequencer.javafile.metadata
Enum MethodMetadata.Type

    java.lang.Object
      java.lang.Enum<MethodMetadata.Type>
          org.modeshape.sequencer.javafile.metadata.MethodMetadata.Type

All Implemented Interfaces:
  Serializable, Comparable<MethodMetadata.Type>

Enclosing class:
  MethodMetadata

    public static enum MethodMetadata.Type

extends Enum<MethodMetadata.Type>

Enum Constant Summary
`CONSTRUCTOR`
`METHOD_TYPE_MEMBER`

Method Summary
`static MethodMetadata.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MethodMetadata.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSTRUCTOR

    public static final MethodMetadata.Type CONSTRUCTOR

### METHOD_TYPE_MEMBER

    public static final MethodMetadata.Type METHOD_TYPE_MEMBER

Method Detail

### values

    public static MethodMetadata.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MethodMetadata.Type c : MethodMetadata.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MethodMetadata.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.